<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>Color</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Color";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Color.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/logic/Color.html" target="_top">Frames</a></li>
<li><a href="Color.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.logic</div>
<h2 title="Enum Color" class="title">Enum Color</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&gt;</li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.logic.Color</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">Color</span>
extends java.lang.Enum&lt;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&gt;</pre>
<div class="block">An enum with all color</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#BLACK">BLACK</a></span></code>
<div class="block">black</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#BLACK_BG">BLACK_BG</a></span></code>
<div class="block">black background</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#BLUE">BLUE</a></span></code>
<div class="block">blue</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#BLUE_BG">BLUE_BG</a></span></code>
<div class="block">blue background</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#CYAN">CYAN</a></span></code>
<div class="block">cyan</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#CYAN_BG">CYAN_BG</a></span></code>
<div class="block">cayn background</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#GREEN">GREEN</a></span></code>
<div class="block">green</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#GREEN_BG">GREEN_BG</a></span></code>
<div class="block">green background</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#PURPLE">PURPLE</a></span></code>
<div class="block">purple</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#PURPLE_BG">PURPLE_BG</a></span></code>
<div class="block">purble background</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#RED">RED</a></span></code>
<div class="block">red</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#RED_BG">RED_BG</a></span></code>
<div class="block">red background</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#RESET">RESET</a></span></code>
<div class="block">The reset "color"</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#WHITE">WHITE</a></span></code>
<div class="block">white</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#WHITE_BG">WHITE_BG</a></span></code>
<div class="block">white background</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#YELLOW">YELLOW</a></span></code>
<div class="block">yellow</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#YELLOW_BG">YELLOW_BG</a></span></code>
<div class="block">yellow background</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#unixStr">unixStr</a></span></code>
<div class="block">The unix representation of the color</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#windowStr">windowStr</a></span></code>
<div class="block">The linux representation of the color</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#getPlatformStr--">getPlatformStr</a></span>()</code>
<div class="block">Returns either the windows or the linux color, depending on the dedected platform</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#getUnixStr--">getUnixStr</a></span>()</code>
<div class="block">Returns the unix representation of the color</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#getWindowStr--">getWindowStr</a></span>()</code>
<div class="block">Returns the windows representation of the color</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/logic/Color.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
<code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="RESET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESET</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> RESET</pre>
<div class="block">The reset "color"</div>
</li>
</ul>
<a name="BLACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLACK</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> BLACK</pre>
<div class="block">black</div>
</li>
</ul>
<a name="RED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RED</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> RED</pre>
<div class="block">red</div>
</li>
</ul>
<a name="GREEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GREEN</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> GREEN</pre>
<div class="block">green</div>
</li>
</ul>
<a name="YELLOW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>YELLOW</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> YELLOW</pre>
<div class="block">yellow</div>
</li>
</ul>
<a name="BLUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLUE</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> BLUE</pre>
<div class="block">blue</div>
</li>
</ul>
<a name="PURPLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PURPLE</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> PURPLE</pre>
<div class="block">purple</div>
</li>
</ul>
<a name="CYAN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CYAN</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> CYAN</pre>
<div class="block">cyan</div>
</li>
</ul>
<a name="WHITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WHITE</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> WHITE</pre>
<div class="block">white</div>
</li>
</ul>
<a name="BLACK_BG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLACK_BG</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> BLACK_BG</pre>
<div class="block">black background</div>
</li>
</ul>
<a name="RED_BG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RED_BG</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> RED_BG</pre>
<div class="block">red background</div>
</li>
</ul>
<a name="GREEN_BG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GREEN_BG</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> GREEN_BG</pre>
<div class="block">green background</div>
</li>
</ul>
<a name="YELLOW_BG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>YELLOW_BG</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> YELLOW_BG</pre>
<div class="block">yellow background</div>
</li>
</ul>
<a name="BLUE_BG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLUE_BG</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> BLUE_BG</pre>
<div class="block">blue background</div>
</li>
</ul>
<a name="PURPLE_BG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PURPLE_BG</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> PURPLE_BG</pre>
<div class="block">purble background</div>
</li>
</ul>
<a name="CYAN_BG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CYAN_BG</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> CYAN_BG</pre>
<div class="block">cayn background</div>
</li>
</ul>
<a name="WHITE_BG">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WHITE_BG</h4>
<pre>public static final&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a> WHITE_BG</pre>
<div class="block">white background</div>
</li>
</ul>
</li>
</ul>
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="unixStr">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unixStr</h4>
<pre>private&nbsp;java.lang.String unixStr</pre>
<div class="block">The unix representation of the color</div>
</li>
</ul>
<a name="windowStr">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>windowStr</h4>
<pre>private&nbsp;java.lang.String windowStr</pre>
<div class="block">The linux representation of the color</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (Color c : Color.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../../ch/sebi/zuul/logic/Color.html" title="enum in ch.sebi.zuul.logic">Color</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="getUnixStr--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnixStr</h4>
<pre>public&nbsp;java.lang.String&nbsp;getUnixStr()</pre>
<div class="block">Returns the unix representation of the color</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the unix color</dd>
</dl>
</li>
</ul>
<a name="getWindowStr--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWindowStr</h4>
<pre>public&nbsp;java.lang.String&nbsp;getWindowStr()</pre>
<div class="block">Returns the windows representation of the color</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the windows color</dd>
</dl>
</li>
</ul>
<a name="getPlatformStr--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPlatformStr</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPlatformStr()</pre>
<div class="block">Returns either the windows or the linux color, depending on the dedected platform</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the "right" color</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Color.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../ch/sebi/zuul/logic/Game.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/logic/Color.html" target="_top">Frames</a></li>
<li><a href="Color.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
